/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.managementcenter.materialplan.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import com.jeeplus.modules.sg.financial.settlement.entity.MaintainData;
import com.jeeplus.modules.sg.managementcenter.materialplan.entity.MaterialPlan;
import com.jeeplus.modules.sg.managementcenter.materialplan.mapper.MaterialPlanMapper;
import com.jeeplus.modules.sg.managementcenter.project.entity.Project;
import com.jeeplus.modules.sg.managementcenter.project.mapper.ProjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(readOnly = true)
public class MaterialPlanService extends CrudService<MaterialPlanMapper, MaterialPlan> {
    @Autowired
	private MaterialPlanMapper materialPlanMapper;

	public MaterialPlan get(String uniqueCode) {
		return super.get(uniqueCode);
	}
	
	public List<MaterialPlan> findList(MaterialPlan materialPlan) {
		return super.findList(materialPlan);
	}
	
	public Page<MaterialPlan> findPage(Page<MaterialPlan> page, MaterialPlan materialPlan) {
		return super.findPage(page, materialPlan);
	}
	
	@Transactional(readOnly = false)
	public void save(MaterialPlan materialPlan) {
		super.save(materialPlan);
	}
	
	@Transactional(readOnly = false)
	public void delete(MaterialPlan materialPlan) {
		super.delete(materialPlan);
	}

	@Transactional(readOnly = false)
	public void update(MaterialPlan materialPlan){
		materialPlan.preUpdate();
		materialPlanMapper.update(materialPlan);
	}
	@Transactional(readOnly = false)
	public void saveList(List<MaterialPlan> list) {
		for(MaterialPlan materialPlan : list){
			materialPlan.preInsert();
		}
		materialPlanMapper.insertList(list);
	}

	@Transactional(readOnly = false)
	public void deleteData(String uniqueCode){materialPlanMapper.deleteData(uniqueCode);
	}
}